function main(self)
	local claw = GetClaw()
	if self.State == 0 then
		self.Flags.AlwaysActive = true
		self.DrawFlags.NoDraw = true
		self.timeCounter = 0
		self.State = 1
	end
	if self.State == 1 and claw:InMinMax(self) then
		local xOffset = math.random(50,700)
		local randomSpeed = math.random(5,8)
		CreateObject{
			X = claw.X - xOffset,
			Y = claw.Y - 640,
			Z = 4900,
			name="ArtifactPower:FireEssenceProjectile",
			SpeedX = randomSpeed,
			SpeedY = randomSpeed
		}
		self.timeCounter = GetTime() + self.Speed
		self.State = 2
	end
	if self.State == 2 and GetTime() > self.timeCounter then
		self.State = 1
	end
end